### Method

# Gio ActionMap lookup_action

since: 2.32

#### Declaration

    GAction*
    g_action_map_lookup_action (
      GActionMap* action_map,
      const gchar* action_name
    )

#### Description

Looks up the action with the name `action_name` in `action_map`.

If no such action exists, returns `NULL`.

Available since: 2.32

#### Parameters

`action_name`

  Type: `const gchar*`

  The name of an action.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GAction`

A `GAction`, or `NULL`.

The data is owned by the instance.
The return value can be `NULL`.